Bug 3269 - Street addresses missing from Contacts
: Street addresses missing from Contacts
Status: RESOLVED FIXED
Product: Contacts
General
: 4.0
: All Linux
: Low enhancement with 1 vote (vote)
: 5.0 (1.2009.41-10)
Assigned To: rtcomm@maemo.org
: contacts-bugs
:
:
:
: int-116910
  Show dependency tree
 
Reported: 2008-06-20 19:06 UTC by Hendrik Boom
Modified: 2008-12-06 15:18 UTC (History)
5 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Hendrik Boom (reporter) 2008-06-20 19:06:07 UTC
SOFTWARE VERSION:
(Control Panel > General > About product)

STEPS TO REPRODUCE THE PROBLEM:

This is an enhancement request.

I'm using a n800 with the factory-installed OS.

The Contacts application provides no way to enter a street
address, that is, a regular postal mailing address, the plain old
physical-letter-in-a-physical-envelope-with-a-stamp-on-it kind of address?
 People still do need to write letters on paper sometimes.

When I select contact->New Contact I get to provide First Name, Last Name,
Nickname, E-mail, and Jabber.  For a while I was astounded that there
was no provision for a phone number.  But then I discovered I could also
choose Add Field  and get to provide E-mail (again?) Phone,
Web Address, and Jabber (again?).

But no plain old old-fashioned address.  I don't even need to
formally split into street names and numbers, etc.
Just a plain old multi-line text field would do (Unicode or UTF-8
preferred, of course).

-- hendrik


User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.14)
Gecko/20080404 Iceweasel/2.0.0.14 (Debian-2.0.0.14-0etch1)
Comment 1 David Hagood 2008-09-23 01:57:24 UTC
See also bug #1979
Comment 2 Andre Klapper maemo.org 2008-10-11 02:53:33 UTC
Hi Jörgen, are their plans to add this functionality for Fremantle?
Comment 3 Jörgen Scheibengruber nokia 2008-10-13 10:47:22 UTC
Yes...
Comment 4 Quim Gil nokia 2008-11-26 13:18:22 UTC
Fixed in Fremantle, then.